<?php

namespace SlotDb\Cli;

use GuzzleHttp\Client;
use SlotDb\Client\SlotDbClient;

class Application extends \Symfony\Component\Console\Application
{
    public function __construct()
    {
        parent::__construct("slotcli", "0.0.0");

        $baseUrl = getenv("SLOTCLI_SERVER") ?: "http://127.0.0.1:8080";

        $psr = new Client();
        $client = new SlotDbClient($psr, $baseUrl);

        $this->add(new Command\ImportCommand());
        $this->add(new Command\ExportCommand());
        
        $this->add(new Command\Slot\SlotCreateCommand($client));
        $this->add(new Command\Slot\SlotQueryCommand($client));
        $this->add(new Command\Slot\SlotFindCommand($client));
        $this->add(new Command\Slot\SlotSetCommand($client));

        $this->add(new Command\Group\GroupCreateCommand($client));
        $this->add(new Command\Group\GroupFindCommand($client));
        $this->add(new Command\Group\GroupQueryCommand($client));
        $this->add(new Command\Group\GroupShowCommand($client));
        $this->add(new Command\Group\GroupSetCommand($client));
    }

}
